package com.tanpu.feo.feojob.service;

import com.tanpu.feo.feojob.dto.WorkDataDto;
import com.tanpu.feo.feojob.entity.*;

public interface OrgSyncService {

    /**
    * @Description: 机构同步- 数据更新
    * @Param:
    * @return:
    * @Author: zejia zj wu
    * @Date: 2021/5/26
    */
    void updateData(String orgId, WorkDataDto<UserInfoEntity> workUserInfo, WorkDataDto<EmployeeEntity> workEmployee, WorkDataDto<DepartmentEntity> workDepartment,
                    WorkDataDto<DepartmentEmployeeEntity> workDepartmentEmployee, WorkDataDto<EmployeeRoleEntity> workEmployeeRole);

    /**
    * @Description:  生成微信小程序 球形码
    * @Param:
    * @return:
    * @Author: zejia zj wu
    * @Date: 2021/5/26
    */
    String createWechatXcxQrcode(String userId, String headImageUrl);
}
