package com.tanpu.feo.feojob.service;

import com.tanpu.feo.feojob.entity.OrgEntity;

/**
 * Service
 *
 * @author zejia zj wu 2021年05月18日
 * @version 1.0
 **/
public interface OrgService {

    /**
    * @Description:  根据orgId 查找单条org
    * @Param:
    * @return:
    * @Author: zejia zj wu
    * @Date: 2021/5/18
    */
    OrgEntity findById(String orgId);

    /** 
    * @Description: 根据orgCode 获取org 
    * @Param:  
    * @return:  
    * @Author: zejia zj wu
    * @Date: 2021/5/26 
    */
    OrgEntity findByOrgCode(String feoOrgCode);
}
